%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}/tests/|^%{_docdir}
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^pear\\(DTABase.php\\)
%define upstream_name Payment_DTA
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.4.3
Release:     	%mkrel 10
Summary:    	Creates and reads DTA and DTAZV files containing money transaction data (Germany)
License: 	BSD style
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Payment_DTA-%{version}.tgz
URL: 		http://pear.php.net/package/Payment_DTA
BuildRequires:	php-pear >= 1.4.7
BuildArch: 	noarch

%description
Payment_DTA provides functions to create and read DTA and DTAZV files used
in Germany to exchange informations about money transactions with banks or
online banking programs.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Payment_DTA.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Payment_DTA.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Payment_DTA
fi

%files
%doc docs/Payment_DTA/*
%{peardir}/*
%{xmldir}/Payment_DTA.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.4.3-10.mga8
+ Revision: 1499130
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.4.3-9.mga7
+ Revision: 1273750
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.4.3-8.mga6
+ Revision: 950476
- Mageia 6 Mass Rebuild

* Wed Nov 05 2014 tv <tv> 1.4.3-7.mga5
+ Revision: 795673
- exclude deps from doc files

* Wed Oct 29 2014 tv <tv> 1.4.3-6.mga5
+ Revision: 794559
- exclude deps from tests

* Wed Oct 15 2014 umeabot <umeabot> 1.4.3-5.mga5
+ Revision: 740901
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 1.4.3-4.mga5
+ Revision: 734149
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 1.4.3-3.mga5
+ Revision: 687442
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Sat Oct 19 2013 umeabot <umeabot> 1.4.3-2.mga4
+ Revision: 528234
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 spuhler <spuhler> 1.4.3-1.mga4
+ Revision: 443880
- upgrade to version 1.4.3

* Sun Jan 13 2013 umeabot <umeabot> 1.4.2-3.mga3
+ Revision: 377220
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 26 2012 spuhler <spuhler> 1.4.2-2.mga2
+ Revision: 201709
+ rebuild (emptylog)

* Sun Jan 22 2012 spuhler <spuhler> 1.4.2-1.mga2
+ Revision: 199875
+ rebuild (emptylog)

* Sat Feb 05 2011 spuhler <spuhler> 1.4.0-1.mga1
+ Revision: 47542
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Payment_DTA


* Wed Dec 29 2010 Oden Eriksson <oeriksson@mandriva.com> 1.4.0-1mdv2011.0
+ Revision: 625898
- 1.4.0

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.3.2-3mdv2011.0
+ Revision: 613760
- the mass rebuild of 2010.1 packages

* Sat Nov 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.2-2mdv2010.1
+ Revision: 467942
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Fri Jul 10 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.2-1mdv2010.0
+ Revision: 394096
- update to new version 1.3.2

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.3.1-1mdv2010.0
+ Revision: 383557
- update to new version 1.3.1

* Wed Dec 17 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.1-1mdv2009.1
+ Revision: 315172
- update to new version 1.2.1

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-9mdv2009.0
+ Revision: 237056
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.2.0-8mdv2008.1
+ Revision: 136415
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-8mdv2007.0
+ Revision: 82525
- Import php-pear-Payment_DTA

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-8mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-7mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-6mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-5mdk
- fix deps

* Fri Jul 22 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-4mdk
- fix the package.xml file so it will register

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.2.0-1mdk
- initial Mandriva package (PLD import)

